#ifndef _FS_PDFATTACHMENTS_C_H_
#define _FS_PDFATTACHMENTS_C_H_

#ifdef __cplusplus
extern "C" {
#endif


FSErrorCode FSDK_Attachments_Create(const FS_PDFDOC_HANDLE doc, const FS_PDFNAMETREE_HANDLE nametree, FS_ATTACHMENTS_HANDLE* attachments_return_value);
FSErrorCode FSDK_Attachments_Release(FS_ATTACHMENTS_HANDLE attachments_handle);
FSErrorCode FSDK_Attachments_IsEmpty(FS_ATTACHMENTS_HANDLE attachments_handle, FS_BOOL* return_value);
FSErrorCode FSDK_Attachments_GetCount(FS_ATTACHMENTS_HANDLE attachments_handle, int* return_value);
FSErrorCode FSDK_Attachments_GetKey(FS_ATTACHMENTS_HANDLE attachments_handle, int index, FS_WSTR* return_value);
FSErrorCode FSDK_Attachments_GetEmbeddedFile(FS_ATTACHMENTS_HANDLE attachments_handle, const wchar_t* key, FS_FILESPEC_HANDLE* return_value);
FSErrorCode FSDK_Attachments_SetEmbeddedFile(FS_ATTACHMENTS_HANDLE attachments_handle, const wchar_t* key, const FS_FILESPEC_HANDLE file_spec, FS_BOOL* return_value);
FSErrorCode FSDK_Attachments_AddEmbeddedFile(FS_ATTACHMENTS_HANDLE attachments_handle, const wchar_t* key, const FS_FILESPEC_HANDLE file_spec, FS_BOOL* return_value);
FSErrorCode FSDK_Attachments_AddFromFilePath(FS_ATTACHMENTS_HANDLE attachments_handle, const wchar_t* key, const wchar_t* file_path, FS_BOOL* return_value);
FSErrorCode FSDK_Attachments_RemoveEmbeddedFile(FS_ATTACHMENTS_HANDLE attachments_handle, const wchar_t* key, FS_BOOL* return_value);
FSErrorCode FSDK_Attachments_RemoveAllEmbeddedFiles(FS_ATTACHMENTS_HANDLE attachments_handle, FS_BOOL* return_value);
FSErrorCode FSDK_Attachments_ExtractEmbeddedFileTo(FS_ATTACHMENTS_HANDLE attachments_handle, const wchar_t* key, const wchar_t* dst_file_path, FS_BOOL* return_value);
FSErrorCode FSDK_Attachments_GetNameTree(FS_ATTACHMENTS_HANDLE attachments_handle, FS_PDFNAMETREE_HANDLE* return_value);
#ifdef __cplusplus
}
#endif
#endif
